﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="RadGrid_Hierarchy_Check_DetailTable_CheckBoxVB.aspx.vb" Inherits="RadGrid_Hierarchy_Check_DetailTable_CheckBoxVB" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
   
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>

        <script type="text/javascript">
            function OnClientCheckedChanged(sender, args) {
                // RadCheckBox element of MasterTable
                var masterCheckBox = sender.get_element();
                // checkbox checked value
                var isChecked = args.get_checked();
                // RadGrid element
                var gridElement = $(masterCheckBox).closest('.RadGrid')[0];
                // verify that the element exists and it has a property called control
                if (gridElement && gridElement.control) {
                    // cast the grid element to RadGrid object
                    var grid = gridElement.control;
                    // Instantiate a GridDataItem class by calling the get_dataItems() method of MasterTable.
                    grid.get_masterTableView().get_dataItems();
                    // get reference to the current Master row element
                    var rowElement = $(masterCheckBox).closest('tr')[0];
                    // verify that the element exists and it has a property called control
                    if (rowElement && rowElement.control) {
                        // cast the row element to GridDataItem object
                        var dataItem = rowElement.control;
                        // get reference to the DetailTable of this item
                        var detailTable = dataItem.get_nestedViews()[0];
                        // get reference to DetailTable items collection
                        var detailItems = detailTable.get_dataItems();
                        // loop through each item
                        for (var i = 0; i < detailItems.length; i++) {
                            var item = detailItems[i];
                            // find the RadCheckBox control
                            var detailCheckBox = $telerik.findControl(item.get_cell("TempalteColumn3"), "RadCheckBox3");
                            // Check the checkbox based on the Checked value
                            detailCheckBox.set_checked(isChecked);
                        }
                    }
                }
            }
        </script>

        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadGrid1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadGrid1" LoadingPanelID="RadAjaxLoadingPanel1" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>

        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="Default"></telerik:RadAjaxLoadingPanel>

        <telerik:RadGrid ID="RadGrid1" runat="server" Width="800px"
            OnPreRender="RadGrid1_PreRender"
            OnNeedDataSource="RadGrid1_NeedDataSource"
            OnDetailTableDataBind="RadGrid1_DetailTableDataBind">
            <MasterTableView Name="MasterTable" AutoGenerateColumns="true" HierarchyLoadMode="Client">
                <Columns>
                    <telerik:GridTemplateColumn UniqueName="TempalteColumn1" HeaderText="GridTemplateColumn">
                        <HeaderStyle Width="200px" />
                        <ItemTemplate>
                            <telerik:RadCheckBox ID="RadCheckBox1" runat="server" Text="Check on Client" AutoPostBack="false" OnClientCheckedChanged="OnClientCheckedChanged">
                            </telerik:RadCheckBox>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn UniqueName="TempalteColumn2" HeaderText="GridTemplateColumn">
                        <HeaderStyle Width="200px" />
                        <ItemTemplate>
                            <telerik:RadCheckBox ID="RadCheckBox2" runat="server" Text="Check on Server" OnCheckedChanged="RadCheckBox2_CheckedChanged"></telerik:RadCheckBox>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
                <DetailTables>
                    <telerik:GridTableView Name="ChildTable" ShowHeader="false">
                        <Columns>
                            <telerik:GridTemplateColumn UniqueName="TempalteColumn3" HeaderText="GridTemplateColumn">
                                <HeaderStyle Width="200px" />
                                <ItemTemplate>
                                    <telerik:RadCheckBox ID="RadCheckBox3" runat="server" Text="Detail CheckBox"></telerik:RadCheckBox>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </telerik:GridTableView>
                </DetailTables>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
